Package io.vertx.ext.unit.junit

## Class VertxUnitRunnerWithParameters

- java.lang.Object
- - org.junit.runner.Runner
  - - org.junit.runners.ParentRunner<org.junit.runners.model.FrameworkMethod>
    - - org.junit.runners.BlockJUnit4ClassRunner
      - - io.vertx.ext.unit.junit.VertxUnitRunner
        - - io.vertx.ext.unit.junit.VertxUnitRunnerWithParameters

- All Implemented Interfaces:
    `org.junit.runner.Describable`, `org.junit.runner.manipulation.Filterable`, `org.junit.runner.manipulation.Orderable`, `org.junit.runner.manipulation.Sortable`

      public class VertxUnitRunnerWithParameters
      extends VertxUnitRunner

  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `VertxUnitRunnerWithParameters​(org.junit.runners.parameterized.TestWithParameters test)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.junit.runners.model.Statement` | `classBlock​(org.junit.runner.notification.RunNotifier notifier)` |
    `Object` | `createTest()` |
    `protected String` | `getName()` |
    `protected Annotation[]` | `getRunnerAnnotations()` |
    `protected void` | `validateConstructor​(List<Throwable> errors)` |
    `protected void` | `validateFields​(List<Throwable> errors)` |

    - ### Methods inherited from class io.vertx.ext.unit.junit.VertxUnitRunner

      `invokeTestMethod, methodBlock, methodInvoker, validatePublicVoidNoArgMethods, validateTestMethod, withAfterClasses, withAfters, withBeforeClasses, withBefores, withPotentialTimeout`

    - ### Methods inherited from class org.junit.runners.BlockJUnit4ClassRunner

      `collectInitializationErrors, computeTestMethods, createTest, describeChild, getChildren, getTestRules, isIgnored, possiblyExpectingExceptions, rules, runChild, testName, validateInstanceMethods, validateNoNonStaticInnerClass, validateOnlyOneConstructor, validateTestMethods, validateZeroArgConstructor`

    - ### Methods inherited from class org.junit.runners.ParentRunner

      `childrenInvoker, classRules, createTestClass, filter, getDescription, getTestClass, order, run, runLeaf, setScheduler, sort, withInterruptIsolation`

    - ### Methods inherited from class org.junit.runner.Runner

      `testCount`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VertxUnitRunnerWithParameters

          protected VertxUnitRunnerWithParameters​(org.junit.runners.parameterized.TestWithParameters test)
                                           throws org.junit.runners.model.InitializationError

      Throws:
        `org.junit.runners.model.InitializationError`

  - ### Method Detail

    - #### createTest

          public Object createTest()
                            throws Exception

      Overrides:
        `createTest` in class `org.junit.runners.BlockJUnit4ClassRunner`
      Throws:
        `Exception`

    - #### getName

          protected String getName()

      Overrides:
        `getName` in class `org.junit.runners.ParentRunner<org.junit.runners.model.FrameworkMethod>`

    - #### validateConstructor

          protected void validateConstructor​(List<Throwable> errors)

      Overrides:
        `validateConstructor` in class `org.junit.runners.BlockJUnit4ClassRunner`

    - #### validateFields

          protected void validateFields​(List<Throwable> errors)

      Overrides:
        `validateFields` in class `org.junit.runners.BlockJUnit4ClassRunner`

    - #### classBlock

          protected org.junit.runners.model.Statement classBlock​(org.junit.runner.notification.RunNotifier notifier)

      Overrides:
        `classBlock` in class `org.junit.runners.ParentRunner<org.junit.runners.model.FrameworkMethod>`

    - #### getRunnerAnnotations

          protected Annotation[] getRunnerAnnotations()

      Overrides:
        `getRunnerAnnotations` in class `org.junit.runners.ParentRunner<org.junit.runners.model.FrameworkMethod>`